\begin{tikzpicture}
	\node[circle] (S0) at (0, 0) {$S$\scriptsize{($\varepsilon$)}};
	\node (A1) at (-3, -1) {$A$\scriptsize{($1$)}};
	\node (B2) at (0, -1) {$B$\scriptsize{($2$)}};
	\node (a3) at (3, -1) {$a$\scriptsize{($3$)}};
	\node (A11) at (-4, -2) {$A$\scriptsize{($11$)}};
	\node (A12) at (-3, -2) {$A$\scriptsize{($12$)}};
	\node (B21) at (-2, -2) {$B$\scriptsize{($21$)}};
	\node (B22) at (0, -2) {$B$\scriptsize{($22$)}};
	\node (A23) at (2, -2) {$A$\scriptsize{($23$)}};
	\node (a111) at (-4, -3) {$a$\scriptsize{($111$)}};
	\node (a121) at (-3, -3) {$a$\scriptsize{($121$)}};
	\node (b211) at (-2, -3) {$b$\scriptsize{($211$)}};
	\node (B221) at (-.8, -3) {$B$\scriptsize{($221$)}};
	\node (B222) at (.8, -3) {$B$\scriptsize{($222$)}};
	\node (a231) at (2, -3) {$a$\scriptsize{($231$)}};
	\node (b2211) at (-.8, -4) {$b$\scriptsize{($2211$)}};
	\node (b2221) at (.8, -4) {$b$\scriptsize{($2221$)}};

	\draw[-] (S) -- (A1);
	\draw[-] (S) -- (B2);
	\draw[-] (S) -- (a3);
	\draw[-] (A1) -- (A11);
	\draw[-] (A1) -- (A12);
	\draw[-] (B2) -- (B21);
	\draw[-] (B2) -- (B22);
	\draw[-] (B2) -- (A23);
	\draw[-] (A11) -- (a111);
	\draw[-] (A12) -- (a121);
	\draw[-] (B21) -- (b211);
	\draw[-] (B22) -- (B221);
	\draw[-] (B22) -- (B222);
	\draw[-] (A23) -- (a231);
	\draw[-] (B221) -- (b2211);
	\draw[-] (B222) -- (b2221);
\end{tikzpicture}
